Help Center Live < 2.1.5 Admin Authentication Bypass

Medium Nessus Network Monitor Plugin ID 4162

Synopsis

The remote host is vulnerable to a flaw that allows for the bypassing of authentication.

Description

The remote web server is running Help Center Live, a help desk application written in PHP. The remote version of this software is vulnerable to a flaw in the way that it handles access to certain administrative pages. Specifically, 'admin/departments.php' and 'admin/operators.php' fails to block access to unauthenticated users. An attacker exploiting this flaw would be able to gain administrative access to the application.

Solution

Upgrade to a version 2.1.5 or higher.

See Also

http://www.helpcenterlive.com

Plugin Details

Severity: Medium

ID: 4162

Family: CGI

Published: 2007/08/08

Modified: 2018/09/16

Dependencies: 1442

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5.2

Temporal Score: 4.9

Vector: CVSS2#AV:A/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSSv3

Base Score: 5.4

Temporal Score: 5.2

Vector: CVSS3#AV:A/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:U/RC:X

Vulnerability Information

CPE: cpe:/a:help_center_live:help_center_live

Reference Information

CVE: CVE-2007-4240

BID: 25225